# Package org.yaml.snakeyaml.scanner

Interface Summary
Interface | Description
--- | ---
Scanner | This interface represents an input stream of `Token`s.

Class Summary
Class | Description
--- | ---
Constant |

ScannerImpl

Scanner produces tokens of the following types: STREAM-START STREAM-END COMMENT DIRECTIVE(name, value) DOCUMENT-START DOCUMENT-END BLOCK-SEQUENCE-START BLOCK-MAPPING-START BLOCK-END FLOW-SEQUENCE-START FLOW-MAPPING-START FLOW-SEQUENCE-END FLOW-MAPPING-END BLOCK-ENTRY FLOW-ENTRY KEY VALUE ALIAS(value) ANCHOR(value) TAG(value) SCALAR(value, plain, style) Read comments in the Scanner code for more details.

Exception Summary
Exception | Description
--- | ---
ScannerException | Exception thrown by the `Scanner` implementations in case of malformed input.